connect /

drop table t;
set echo on


clear screen
create table t 
as
select rownum id, object_name data
  from stage
 where rownum <= 10000;
alter table t modify id not null;
create index t_idx on t(id);
pause

clear screen
analyze index t_idx validate structure;
select blocks, lf_blks, lf_rows, del_lf_rows from index_stats;
pause


set termout off
set arraysize 5000
select /*+ first_rows index( t t_idx ) */ id from t where id between 1 and 10000;
set termout on


clear screen
spool x
set termout off
set autotrace traceonly
set arraysize 5000
select /*+ first_rows index( t t_idx ) */ id from t where id between 1 and 10000;
spool off
set termout on
edit x.lst
set autotrace off

clear screen
delete from t where id between 1 and 10000-10;
commit;
pause

clear screen
spool x
set termout off
set autotrace traceonly
set arraysize 5000
select /*+ first_rows index( t t_idx ) */ id from t where id between 1 and 10000;
spool off
set termout on
edit x.lst
set autotrace off


clear screen
insert into t 
select rownum+10000 id, object_name data
  from stage
 where rownum <= 10000;
pause


clear screen
spool x
set termout off
set autotrace traceonly
set arraysize 5000
select /*+ first_rows index( t t_idx ) */ id from t where id between 1 and 10000;
spool off
set termout on
edit x.lst
set autotrace off

clear screen
analyze index t_idx validate structure;
select blocks, lf_blks, lf_rows, del_lf_rows from index_stats;
pause
