connect /

drop table t;
drop sequence s;

set echo on

clear screen
create sequence s;

create table t
as
select s.nextval id, stage.* 
  from stage;

alter table t add constraint t_pk primary key(id);
analyze index t_pk validate structure;
select del_lf_rows, lf_rows, lf_blks, lf_rows/lf_blks from index_stats;
pause

clear screen
delete from t where mod(id,482) > 5;
commit;
analyze index t_pk validate structure;
select del_lf_rows, lf_rows, lf_blks, lf_rows/lf_blks from index_stats;
pause

clear screen
insert into t 
select s.nextval id, stage.*
  from stage;
analyze index t_pk validate structure;
select del_lf_rows, lf_rows, lf_blks, lf_rows/lf_blks from index_stats;
pause


clear screen
delete from t where mod(id,482) > 5;
commit;
analyze index t_pk validate structure;
select del_lf_rows, lf_rows, lf_blks, lf_rows/lf_blks from index_stats;
alter index t_pk coalesce;
analyze index t_pk validate structure;
select del_lf_rows, lf_rows, lf_blks, lf_rows/lf_blks from index_stats;
pause


